EPPContactBase (EPP RTK Java API Documentation)
Keywords: com.tucows.oxrs.epp0503.rtk.xml.EPPContactBase class

### com.tucows.oxrs.epp0503.rtk.xml

# Class EPPContactBase

- `org.omg.CORBA.portable.ObjectImpl`
- - `com.tucows.oxrs.epp0503.rtk.RTKBase`
  - - `com.tucows.oxrs.epp0503.rtk.xml.EPPXMLBase`
    - - `com.tucows.oxrs.epp0503.rtk.xml.EPPContactBase`

Known Direct Subclasses:
  EPPContactCheck, EPPContactCreate, EPPContactDelete, EPPContactInfo, EPPContactTransfer, EPPContactUpdate

`public abstract class EPPContactBase`
`extends EPPXMLBase`

Base abstract class for the Contact classes. Defines common methods and data members used by all or most Contact classes.

  ## Field Summary
  `protected static Hashtable` | `contact_status_hash_` Hashtable to allow for conversion from String contact status to epp_ContactStatusType.

  ### Fields inherited from class com.tucows.oxrs.epp0503.rtk.xml.EPPXMLBase
  `auth_type_string_to_type_hash_`, `auth_type_to_string_array_`, `transfer_op_to_string_array_`, `transfer_status_to_type_hash_`, `xml_`

  ### Fields inherited from class com.tucows.oxrs.epp0503.rtk.RTKBase
  `CRLF`, `DATE_FMT`, `DEBUG_LEVEL_ONE`, `DEBUG_LEVEL_THREE`, `DEBUG_LEVEL_TWO`, `DEBUG_NONE`, `RTK_VERSION`, `UTC_FMT`

  ## Constructor Summary
  `EPPContactBase()` Default Constructor.
  `EPPContactBase(String xml)` Constructor with the XML String.

  ## Method Summary
  `protected Element` | `addressToXML(Document doc, String tag_name, epp_ContactNameAddress name_address)` Converts a given epp_ContactNameAddress to an XML Element.
  `static epp_ContactStatusType` | `contactStatusFromString(String s)` Convenience method to convert a string status to an instance of epp_ContactStatusType.
  `static String` | `contactStatusToString(epp_ContactStatusType status_type)` Convenience method to get a contact status string from an epp_ContactStatusType object.
  `static epp_ContactTrnData` | `getTrnData(NodeList transfer_data_list)`
  `static void` | `initContactStatusHash()`
  `static void` | `initHashes()`
  `protected void` | `setCommonAttributes(Element command)` Sets the common XML attributes required for the contact object (eg.

  ### Methods inherited from class com.tucows.oxrs.epp0503.rtk.xml.EPPXMLBase
  `addXMLElement`, `convertListToArray`, `convertListToStringArray`, `createDocRoot`, `createXMLFromDoc`, `getAvailResultFor`, `getCheckResultFor`, `getDocumentElement`, `getElement`, `getExtensionNode`, `getNode`, `getXML`, `initAuthInfoStringToTypeHash`, `initHashes`, `initTransferStatusToTypeHash`, `parseGenericCheckResults`, `parseGenericResult`, `prepareAuthInfo`, `prepareCreds`, `prepareExtensionElement`, `stringListToXML`, `transferStatusFromString`, `transferStatusToString`

  ### Methods inherited from class com.tucows.oxrs.epp0503.rtk.RTKBase
  `_ids`, `debug`, `debug`, `getDebugLevel`, `getDebugPrintStream`, `getRTKProperties`, `setDebugLevel`, `setDebugLevel`, `setDebugPrintStream`

## Field Details

### contact_status_hash_

    protected static Hashtable contact_status_hash_

> Hashtable to allow for conversion from String contact status to epp_ContactStatusType.
> See Also:
>   `EPP IDL epp_contact.idl for the definition of the epp_ContactStatusType enum`

## Constructor Details

### EPPContactBase

    protected EPPContactBase()

> Default Constructor.

### EPPContactBase

    protected EPPContactBase(String xml)

> Constructor with the XML String.

## Method Details

### addressToXML

    protected Element addressToXML(Document doc,
                                   String tag_name,
                                   epp_ContactNameAddress name_address)
                throws epp_XMLException

> Converts a given epp_ContactNameAddress to an XML Element. If any of the data members of the epp_ContactNameAddress are null then they are not included in the Element. If they are empty Strings then they are included as empty Elements.
> Parameters:
> Returns:
>   Element the resulting contact name/address Element

### contactStatusFromString

    public static epp_ContactStatusType contactStatusFromString(String s)

> Convenience method to convert a string status to an instance of epp_ContactStatusType.

### contactStatusToString

    public static String contactStatusToString(epp_ContactStatusType status_type)

> Convenience method to get a contact status string from an epp_ContactStatusType object.

### getTrnData

    public static epp_ContactTrnData getTrnData(NodeList transfer_data_list)
                throws epp_XMLException

### initContactStatusHash

    public static void initContactStatusHash()

### initHashes

    public static void initHashes()

> Overrides:
>   initHashes in interface EPPXMLBase

### setCommonAttributes

    protected void setCommonAttributes(Element command)

> Sets the common XML attributes required for the contact object (eg. xmlns:contact, xsi:schemaLocation)
> Parameters:

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS